import 'package:flutter/material.dart';
import 'package:route_transition_yr/route_transition_yr.dart';

void main() => runApp( const MyApp());

class MyApp extends StatelessWidget {
  
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': ( _ ) => const Page1(),
        'page2': ( _ ) => const Page2(),
      },
      
    );
  }
}


class Page1 extends StatelessWidget {
  
  const Page1({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Page 1'),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
          color: Colors.white,
          child: const Text('Go to Page 2'),
          onPressed: () {

            RouteTransitions(
              context: context, 
              child: const Page2(),
              animation: AnimationType.fadeInUp,
              duration: const Duration( milliseconds: 900 ),
              replacement: true,
            );

          },
        ),
     ),
   );
  }
}


class Page2 extends StatelessWidget {
  
  const Page2({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Page 2'),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blueGrey,
      body: const Center(
        child: Text('pagina 2'),
     ),
   );
  }
}